Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class ISurfaceGraphicWireframeGL

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.ISurfaceGraphicWireframeGL

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class ISurfaceGraphicWireframeGL

extends IGraphicObject

Graphic subobject class to draw wireframes of a surface object by OpenGL.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`boolean` | `initialized`
`IGLLineLoop[]` | `inTrim`
`IPolyline2D[]` | `inTrim2`
`int` | `isoparmNumRatio`
`int` | `isoparmNumU`
`int` | `isoparmNumV`
`IGLLineLoop[]` | `outTrim`
`IPolyline2D[]` | `outTrim2`
`boolean` | `simpleFlat` true when unum==2 && vnum==2 and flat
`ISurfaceI` | `surface`
`IGLLineStrip[]` | `uline`
`IPolyline2D[]` | `uline2`
`IGLLineStrip[]` | `vline`
`IPolyline2D[]` | `vline2`
`static float` | `weight`

Fields inherited from class igeo.IGraphicObject
`color, defaultAlpha, defaultBlue, defaultGreen, defaultRed, parent, transparentModeAlpha, update, visible`

Constructor Summary
`ISurfaceGraphicWireframeGL(IObject obj, ISurfaceI srf)`
`ISurfaceGraphicWireframeGL(IObject obj, ISurfaceI srf, int isoparmNumRatio)`
`ISurfaceGraphicWireframeGL(ISurface srf)`
`ISurfaceGraphicWireframeGL(ISurface srf, int isoparmNumRatio)`
`ISurfaceGraphicWireframeGL(ISurfaceR srf)`
`ISurfaceGraphicWireframeGL(ISurfaceR srf, int isoparmNumRatio)`

Method Summary
`void` | `draw(IGraphics g)`
`java.util.ArrayList<IGLLineStrip>` | `getLineInsideTrim(IVec2[] uvpts, IVec2[][] outTrimUV, IVec2[][] inTrimUV)`
`void` | `initSurface()` //@return u lines for graphics; number depends on how it intersects with trim lines.
`boolean` | `isDrawable(IGraphicMode m)`
`void` | `setIsoparmNumberRatio(int p)`
`void` | `updateSurface()`

Methods inherited from class igeo.IGraphicObject
`getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setAttribute, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, show, update, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weight

    public static float weight

### isoparmNumRatio

    public int isoparmNumRatio

### isoparmNumU

    public int isoparmNumU

### isoparmNumV

    public int isoparmNumV

### surface

    public ISurfaceI surface

### uline

    public IGLLineStrip[] uline

### vline

    public IGLLineStrip[] vline

### inTrim

    public IGLLineLoop[] inTrim

### outTrim

    public IGLLineLoop[] outTrim

### uline2

    public IPolyline2D[] uline2

### vline2

    public IPolyline2D[] vline2

### inTrim2

    public IPolyline2D[] inTrim2

### outTrim2

    public IPolyline2D[] outTrim2

### simpleFlat

    public boolean simpleFlat

  true when unum==2 && vnum==2 and flat

### initialized

    public boolean initialized

Constructor Detail

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(ISurface srf)

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(ISurfaceR srf)

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(IObject obj,
                                      ISurfaceI srf)

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(ISurface srf,
                                      int isoparmNumRatio)

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(ISurfaceR srf,
                                      int isoparmNumRatio)

### ISurfaceGraphicWireframeGL

    public ISurfaceGraphicWireframeGL(IObject obj,
                                      ISurfaceI srf,
                                      int isoparmNumRatio)

Method Detail

### setIsoparmNumberRatio

    public void setIsoparmNumberRatio(int p)

### getLineInsideTrim

    public java.util.ArrayList<IGLLineStrip> getLineInsideTrim(IVec2[] uvpts,
                                                               IVec2[][] outTrimUV,
                                                               IVec2[][] inTrimUV)

### initSurface

    public void initSurface()

  //@return u lines for graphics; number depends on how it intersects with trim lines.

### updateSurface

    public void updateSurface()

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD